aboutsummaryrefslogtreecommitdiff
path: root/bin/ak-zchain-reset
diff options
context:
space:
mode:
Diffstat (limited to 'bin/ak-zchain-reset')
-rwxr-xr-xbin/ak-zchain-reset7
1 files changed, 7 insertions, 0 deletions
diff --git a/bin/ak-zchain-reset b/bin/ak-zchain-reset
index e80fabe..8b72810 100755
--- a/bin/ak-zchain-reset
+++ b/bin/ak-zchain-reset
@@ -38,6 +38,13 @@ reset (){
echo "Publishing new (reset) ZLATEST"
ak-ipfs-name-publish --key=zchain /ipfs/$(cat $ZLATEST)
if [ $? != 0 ]; then exit 1; fi
+
+ ak-config publish
+ if [ "$?" -ne 0 ]
+ then
+ logit "[ERROR]" "Could not publish new configuration"
+ exit 1
+ fi
echo "Reset was successful"
exit 0